+++
date = "2014-12-11"
weight = 100

title = "Clutter Caching"

aliases = [
    "/old-wiki/Docs/clutter-caching"
]
+++

# ClutterGst stream buffering improvements

## Spec

Improve clutter-gst stream buffering (caching) handling.

## Requirements

The API should be on top of clutter-gst version we are using (1.6.0)

## Features supported

The following new features are supported by the API:

`- set/get buffer duration/size`
`- get whether the current URL points to a live stream`

Apart from that the API already supports the following features:

`- PAUSE/PLAY the pipeline automatically when buffering`
`- set buffering mode (stream or download)`
`- handle buffering messages for live streams`

## Source

The source can be found at
<http://cgit.collabora.com/git/user/andrunko/clutter-gst.git/tree/?h=all-changes-1.6.0>

## Example

The shipped example (clutter-gst/examples/video-player2.c) demonstrates
the usage of the features listed above.

## Missing

Address upstream review comments if any.

` The changes were submitted upstream and more details can be found at `<https://bugzilla.gnome.org/show_bug.cgi?id=683990>` and `<https://bugzilla.gnome.org/show_bug.cgi?id=682503>
